Open CASCADE Technology  7.3.1.dev
Public Member Functions
BRepPrimAPI_MakeRevolution Class Reference

Describes functions to build revolved shapes. A MakeRevolution object provides a framework for: More...

#include <BRepPrimAPI_MakeRevolution.hxx>

Inheritance diagram for BRepPrimAPI_MakeRevolution:
Inheritance graph
[legend]

Public Member Functions

 BRepPrimAPI_MakeRevolution (const Handle< Geom_Curve > &Meridian)
 Make a revolution body by rotating a curve around Z. More...
 
 BRepPrimAPI_MakeRevolution (const Handle< Geom_Curve > &Meridian, const Standard_Real angle)
 Make a revolution body by rotating a curve around Z. More...
 
 BRepPrimAPI_MakeRevolution (const Handle< Geom_Curve > &Meridian, const Standard_Real VMin, const Standard_Real VMax)
 Make a revolution body by rotating a curve around Z. More...
 
 BRepPrimAPI_MakeRevolution (const Handle< Geom_Curve > &Meridian, const Standard_Real VMin, const Standard_Real VMax, const Standard_Real angle)
 Make a revolution body by rotating a curve around Z. More...
 
 BRepPrimAPI_MakeRevolution (const gp_Ax2 &Axes, const Handle< Geom_Curve > &Meridian)
 Make a revolution body by rotating a curve around Z. More...
 
 BRepPrimAPI_MakeRevolution (const gp_Ax2 &Axes, const Handle< Geom_Curve > &Meridian, const Standard_Real angle)
 Make a revolution body by rotating a curve around Z. More...
 
 BRepPrimAPI_MakeRevolution (const gp_Ax2 &Axes, const Handle< Geom_Curve > &Meridian, const Standard_Real VMin, const Standard_Real VMax)
 Make a revolution body by rotating a curve around Z. More...
 
 BRepPrimAPI_MakeRevolution (const gp_Ax2 &Axes, const Handle< Geom_Curve > &Meridian, const Standard_Real VMin, const Standard_Real VMax, const Standard_Real angle)
 Make a revolution body by rotating a curve around Z. For all algorithms the resulting shape is composed of. More...
 
Standard_Address OneAxis ()
 Returns the algorithm. More...
 
BRepPrim_RevolutionRevolution ()
 Returns the algorithm. More...
 
- Public Member Functions inherited from BRepPrimAPI_MakeOneAxis
virtual void Build () override
 Stores the solid in myShape. More...
 
const TopoDS_FaceFace ()
 Returns the lateral face of the rotational primitive. More...
 
 operator TopoDS_Face ()
 
const TopoDS_ShellShell ()
 Returns the constructed rotational primitive as a shell. More...
 
 operator TopoDS_Shell ()
 
const TopoDS_SolidSolid ()
 Returns the constructed rotational primitive as a solid. More...
 
 operator TopoDS_Solid ()
 
- Public Member Functions inherited from BRepBuilderAPI_MakeShape
virtual const TopoDS_ShapeShape ()
 Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built. More...
 
 operator TopoDS_Shape ()
 
virtual const TopTools_ListOfShapeGenerated (const TopoDS_Shape &S)
 Returns the list of shapes generated from the shape <S>. More...
 
virtual const TopTools_ListOfShapeModified (const TopoDS_Shape &S)
 Returns the list of shapes modified from the shape <S>. More...
 
virtual Standard_Boolean IsDeleted (const TopoDS_Shape &S)
 Returns true if the shape S has been deleted. More...
 
- Public Member Functions inherited from BRepBuilderAPI_Command
virtual ~BRepBuilderAPI_Command ()
 
virtual Standard_Boolean IsDone () const
 
void Check () const
 Raises NotDone if done is false. More...
 

Additional Inherited Members

- Protected Member Functions inherited from BRepBuilderAPI_MakeShape
 BRepBuilderAPI_MakeShape ()
 
- Protected Member Functions inherited from BRepBuilderAPI_Command
 BRepBuilderAPI_Command ()
 Set done to False. More...
 
void Done ()
 Set done to true. More...
 
void NotDone ()
 Set done to false. More...
 
- Protected Attributes inherited from BRepBuilderAPI_MakeShape
TopoDS_Shape myShape
 
TopTools_ListOfShape myGenerated
 

Detailed Description

Describes functions to build revolved shapes. A MakeRevolution object provides a framework for:

Constructor & Destructor Documentation

◆ BRepPrimAPI_MakeRevolution() [1/8]

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution ( const Handle< Geom_Curve > &  Meridian)

Make a revolution body by rotating a curve around Z.

◆ BRepPrimAPI_MakeRevolution() [2/8]

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution ( const Handle< Geom_Curve > &  Meridian,
const Standard_Real  angle 
)

Make a revolution body by rotating a curve around Z.

◆ BRepPrimAPI_MakeRevolution() [3/8]

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution ( const Handle< Geom_Curve > &  Meridian,
const Standard_Real  VMin,
const Standard_Real  VMax 
)

Make a revolution body by rotating a curve around Z.

◆ BRepPrimAPI_MakeRevolution() [4/8]

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution ( const Handle< Geom_Curve > &  Meridian,
const Standard_Real  VMin,
const Standard_Real  VMax,
const Standard_Real  angle 
)

Make a revolution body by rotating a curve around Z.

◆ BRepPrimAPI_MakeRevolution() [5/8]

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution ( const gp_Ax2 Axes,
const Handle< Geom_Curve > &  Meridian 
)

Make a revolution body by rotating a curve around Z.

◆ BRepPrimAPI_MakeRevolution() [6/8]

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution ( const gp_Ax2 Axes,
const Handle< Geom_Curve > &  Meridian,
const Standard_Real  angle 
)

Make a revolution body by rotating a curve around Z.

◆ BRepPrimAPI_MakeRevolution() [7/8]

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution ( const gp_Ax2 Axes,
const Handle< Geom_Curve > &  Meridian,
const Standard_Real  VMin,
const Standard_Real  VMax 
)

Make a revolution body by rotating a curve around Z.

◆ BRepPrimAPI_MakeRevolution() [8/8]

BRepPrimAPI_MakeRevolution::BRepPrimAPI_MakeRevolution ( const gp_Ax2 Axes,
const Handle< Geom_Curve > &  Meridian,
const Standard_Real  VMin,
const Standard_Real  VMax,
const Standard_Real  angle 
)

Make a revolution body by rotating a curve around Z. For all algorithms the resulting shape is composed of.

  • a lateral revolved face,
  • two planar faces in planes parallel to the plane z = 0, and passing by the extremities of the revolved portion of Meridian, if these points are not on the Z axis (in case of a complete revolved shape, these faces are circles),
  • and in the case of a portion of a revolved shape, two planar faces to close the shape (in the planes u = 0 and u = angle).

Member Function Documentation

◆ OneAxis()

Standard_Address BRepPrimAPI_MakeRevolution::OneAxis ( )
virtual

Returns the algorithm.

Implements BRepPrimAPI_MakeOneAxis.

◆ Revolution()

BRepPrim_Revolution& BRepPrimAPI_MakeRevolution::Revolution ( )

Returns the algorithm.


The documentation for this class was generated from the following file: